import { AsyncSsrManager } from './internal/async-ssr-manager';
import { createAsyncSsrManagerContext } from './internal/async-ssr-manager-context';
import { validateConfig } from './internal/validate-config';
/**
 * @see {@link AsyncSsrManagerV1} for further information.
 */
export const asyncSsrManagerDefinition = {
    id: 's2:async-ssr-manager',
    optionalDependencies: {
        featureServices: {
            's2:logger': '^1.0.0'
        }
    },
    create: env => {
        const context = createAsyncSsrManagerContext(env.featureServices);
        const { timeout } = validateConfig(env.config) || {};
        const asyncSsrManager = new AsyncSsrManager(context, timeout);
        return {
            '1.0.0': () => ({ featureService: asyncSsrManager })
        };
    }
};
//# sourceMappingURL=index.js.map